Description: Build changes
Author: Sunil Mohan Adapa <sunil@medhas.org>
Forwarded: not-needed
--- a/build.gradle
+++ b/build.gradle
@@ -161,11 +161,6 @@
 def core_docs_file = "$projectDir/core/kotlinx-coroutines-core/build/dokka/kotlinx-coroutines-core/package-list"
 
 configure(subprojects.findAll { !unpublished.contains(it.name) }) {
-    apply from: rootProject.file('gradle/dokka.gradle')
-    apply from: rootProject.file('gradle/publish-bintray.gradle')
-}
-
-configure(subprojects.findAll { !unpublished.contains(it.name) }) {
     def platform = platformOf(it)
     def coroutines_core = platformLib("kotlinx-coroutines-core", platform)
 
@@ -181,7 +176,6 @@
     }
 
     if (platform == "jvm") {
-        dokkaJavadoc.dependsOn project(":$coroutines_core").dokka
         // dump declarations from main JVM module for binary-compatibility-validator
         compileKotlin {
             kotlinOptions.freeCompilerArgs += ["-Xdump-declarations-to=${buildDir}/visibilities.json"]
--- a/settings.gradle
+++ b/settings.gradle
@@ -3,7 +3,6 @@
  */
 
 rootProject.name = 'kotlinx.coroutines'
-enableFeaturePreview('GRADLE_METADATA')
 
 def module(String path) {
     int i = path.lastIndexOf('/')
@@ -14,33 +13,7 @@
 
 // ---------------------------
 
-include('benchmarks')
-include('knit')
-include('site')
-
-module('binary-compatibility-validator')
 
 module('common/kotlinx-coroutines-core-common')
 
 module('core/kotlinx-coroutines-core')
-module('core/stdlib-stubs')
-
-module('integration/kotlinx-coroutines-guava')
-module('integration/kotlinx-coroutines-jdk8')
-module('integration/kotlinx-coroutines-slf4j')
-module('integration/kotlinx-coroutines-play-services')
-
-module('reactive/kotlinx-coroutines-reactive')
-module('reactive/kotlinx-coroutines-reactor')
-module('reactive/kotlinx-coroutines-rx2')
-module('reactive/kotlinx-coroutines-rx-example')
-
-module('ui/kotlinx-coroutines-android')
-module('ui/kotlinx-coroutines-javafx')
-module('ui/kotlinx-coroutines-swing')
-
-module('js/kotlinx-coroutines-core-js')
-module('js/js-stub')
-module('js/example-frontend-js')
-
-module('native/kotlinx-coroutines-core-native')
--- a/core/kotlinx-coroutines-core/build.gradle
+++ b/core/kotlinx-coroutines-core/build.gradle
@@ -64,6 +64,3 @@
     from sourceSets.test.output
 }
 
-artifacts {
-    archives testsJar
-}
